# Testingey

`testingey` is a simple and straightforward test runner for nodejs. Right now all it does is it
lets you specify setup and tear down callbacks, and let's you add test cases. Profiling will be
added soon.

## Installation

```
npm install testingey
```

## Example Code

``` js
const suite = require('../lib/testingey').createSuite('adder'),
      assert = require('assert');

var calc = {
  add: function (a, b) {
    return a + b;
  },
  subtract: function (a, b) {
    return b - a;
  }
};

// executes during test setup
suite.setUp(function () {
  console.log('Starting up tests...');
});

// executes during clean up
suite.tearDown(function () {
  console.log('Cleaning up...');
});

// add a test to the suite
suite.spec('Testing addition', function () {
  assert.equal(calc.add(1, 2), 3);
});

suite.spec('Testing subtraction', function () {
  assert.equal(calc.subtract(1, 3), 2);
});

suite.spec('Testing failure case', function () {
  assert.equal(calc.add(1, 1), 5);
});

// run the test
suite.run();
```

## License

(The MIT License)

Copyright (c) 2011 Jesus A. Domingo <jesus.domingo@gmail.com>

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the 'Software'), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
