const suite = require('../lib/testingey').createSuite('adder'),
      assert = require('assert');

// test this code
function Calculator() {}
Calculator.prototype.add = function (a, b) { return a + b; };
Calculator.prototype.subtract = function (a, b) { return a - b; };

(function () {

  var calc = null;

  suite.setUp(function () {
    calc = new Calculator();
  });

  suite.tearDown(function () {
    delete calc;
  });

  suite.spec('Testing addition', function () {
    assert.equal(calc.add(1, 2), 3);
  });

  suite.spec('Testing subtraction', function () {
    assert.equal(calc.subtract(3, 1), 2);
  });

  suite.spec('Testing a failing case', function () {
    assert.equal(calc.add(1, 1), 5);
  });

  suite.run();

})();
